summaryrefslogtreecommitdiff
path: root/IR-Data/test-suite.sh
diff options
context:
space:
mode:
authorukw2012-02-24 11:44:08 +0000
committerukw2012-02-24 11:44:08 +0000
commitf60c464437d9976037876933079a7a2e1792bfb8 (patch)
treebd32a261f003c7bbc8b0ba2e3099f53475aa9aba /IR-Data/test-suite.sh
parentcea9614894a5e560540dadc2e480fb64ec0451e1 (diff)
downloadirmp-f60c464437d9976037876933079a7a2e1792bfb8.zip
Version 2.1.2:
- removed GRUNDIG2 (identical with IR60) - fixed bug in IR60 decoder - fixed bug in CRC detection of Kaseikyo frames git-svn-id: svn://mikrocontroller.net/irmp@90 aeb2e35e-bfc4-4214-b83c-9e8de998ed28
Diffstat (limited to 'IR-Data/test-suite.sh')
-rw-r--r--IR-Data/test-suite.sh19
1 files changed, 10 insertions, 9 deletions
diff --git a/IR-Data/test-suite.sh b/IR-Data/test-suite.sh
index 58a2c9a..3e68111 100644
--- a/IR-Data/test-suite.sh
+++ b/IR-Data/test-suite.sh
@@ -70,9 +70,9 @@ do
echo "testing $j ..."
if tmpsrc/irmp -v < $j | grep -q error
then
- tmpsrc/irmp -v < $j | grep error
- echo "test failed"
- exit 1
+ tmpsrc/irmp -v < $j | grep error
+ echo "test failed"
+ exit 1
fi
done
@@ -85,15 +85,16 @@ for j in \
recs80-15kHz.txt \
samsung32-15kHz.txt \
t-home-mediareceiver-15kHz.txt \
+ tp400vt-15kHz.txt \
universal-15kHz.txt \
xbox360-15kHz.txt
do
echo "testing $j ..."
if tmpsrc/irmp-15kHz -v < $j | grep -q error
then
- tmpsrc/irmp-15kHz -v < $j | grep error
- echo "test failed"
- exit 1
+ tmpsrc/irmp-15kHz -v < $j | grep error
+ echo "test failed"
+ exit 1
fi
done
@@ -105,9 +106,9 @@ do
echo "testing $j ..."
if tmpsrc/irmp-20kHz -v < $j | grep -q error
then
- tmpsrc/irmp-20kHz -v < $j | grep error
- echo "test failed"
- exit 1
+ tmpsrc/irmp-20kHz -v < $j | grep error
+ echo "test failed"
+ exit 1
fi
done